Reminder! Breaking Changes Planned 4/12/2021 – Disabling TLS 1.1 For SKY API 7586

Reminder! Breaking Changes Planned 4/12/2021 – Disabling TLS 1.1 For SKY API

Published

REMINDER: Updates to TLS for SKY API are happening this upcoming Monday, April 12, 2021. The disabling of TLS 1.1 will occur between 10:00AM to 2:00PM ET.

What is happening?

At Blackbaud, security is our priority. As the cloud software partner to many leading social good organizations, we have world-class security, privacy, and risk management teams that work around the clock every day to ensure that our data is safe and accessible to our customers.

As such, Blackbaud is requiring an upgrade to TLS 1.2 to align with industry best practices for security and data integrity set by the Payment Card Industry (PCI) Security Standards Council. On April 12, 2021, we will disable the TLS 1.1 encryption protocol, which will prevent apps still using it from accessing Blackbaud SKY APIs and services.

When is it happening?

On April 12, 2021, TLS 1.1 will be disabled. All developers must upgrade to TLS 1.2.

What is TLS?

TLS stands for “Transport Layer Security.” It is a protocol that provides privacy and data integrity between two communicating applications. It is the most widely deployed security protocol used today and is used for web browsers and other applications that require data to be securely exchanged over a network. TLS ensures that a connection to a remote endpoint is the intended endpoint through encryption and endpoint identity verification. The versions of TLS to date include TLS 1.0, 1.1, 1.2, and 1.3.

What do I need to do?

If you are currently using TLS 1.1 to access SKY API, you need to upgrade to TLS 1.2 to ensure uninterrupted access.

Applications that continue to access SKY API using languages, frameworks, or client libraries which do not support TLS 1.2, or which have been configured to disable this protocol, will experience issues.

You are encouraged to confirm your development platform’s TLS 1.2 compatibility with its documentation and test this compatibility before TLS 1.1 is disabled.

What about TLS 1.3?

SKY API does not currently support TLS 1.3. We will make an announcement when SKY APIs and services can be accessed using TLS 1.3.

News Blackbaud SKY Developer Announcements 04/07/2021 11:25am EDT

Leave a Comment

No Data Available

Share: